> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uqpay.org/llms.txt
> Use this file to discover all available pages before exploring further.

# List all beneficiaries

> Get list of beneficiaries.

### Header

<ParamField header="x-client-id" type="string" required>
  `x-client-id`.
</ParamField>

<ParamField header="x-auth-token" type="string" required>
  Bearer `YOUR_TOKEN_HERE`.
</ParamField>

### Parameters

<ParamField query="page_num" type="number" required>
  Page number, starts from 1.
</ParamField>

<ParamField query="page_size" type="number" required>
  Number of results per page. <br />
  `Maximum 100`
</ParamField>

<ParamField query="type" type="string">
  Filter on entity type of the beneficiary.<br />
  One of `company`, `individual`
</ParamField>

<ParamField query="nickname" type="string">
  Filter on nickname of the beneficiary.<br />
</ParamField>

<ParamField query="currency" type="string">
  Filter on account currency of the beneficiary.<br />
  Three-letter [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code.
</ParamField>

### Response

<ResponseField name="code" type="number">
  Indicates whether the call was successful. 200 if successful, 400 if not.
</ResponseField>

<ResponseField name="message" type="string">
  Response Message. "Success" if successful, others not.
</ResponseField>

<ResponseField name="data" type="object">
  <Expandable title="details" defaultOpen>
    <ResponseField name="total_item" type="number">
      Total items.
    </ResponseField>

    <ResponseField name="total_page" type="number">
      Total pages.
    </ResponseField>

    <ResponseField name="item_list" type="array">
      <Expandable title="details" defaultOpen>
        <ResponseField name="beneficiary_id" type="string">
          Beneficiary UUID.
        </ResponseField>

        <ResponseField name="entity_type" type="string">
          Entity type of the beneficiary.<br />
          One of `company`, `individual`
        </ResponseField>

        <ResponseField name="payment_method" type="string">
          The payment method needs to be specified to ensure that accurate banking details are captured and validated for the specified payment method.<br />
          One of `local`, `swift`
        </ResponseField>

        <ResponseField name="beneficiary_email" type="string">
          Email of the beneficiary.
        </ResponseField>

        <ResponseField name="beneficiary_nickname" type="string">
          Nickname of the beneficiary.
        </ResponseField>

        <ResponseField name="beneficiary_company_name" type="string">
          Company name of the beneficiary.
        </ResponseField>

        <ResponseField name="beneficiary_summary" type="string">
          Summary of the beneficiary.
        </ResponseField>

        <ResponseField name="account_currency_code" type="string">
          Account currency code.<br />
          Three-letter [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code.
        </ResponseField>

        <ResponseField name="bank_country_code" type="string">
          Bank country code.<br />
          Two-letter [ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2) country code.
        </ResponseField>

        <ResponseField name="beneficiary_first_name" type="string">
          First name of the beneficiary.
        </ResponseField>

        <ResponseField name="beneficiary_last_name" type="string">
          Last name of the beneficiary.
        </ResponseField>

        <ResponseField name="beneficiary_bank_details" type="object">
          Beneficiary's bank account details where the payment will be credited.

          <Expandable title="details" defaultOpen>
            <ResponseField name="bank_name" type="string">
              Bank name of the beneficiary's bank account.
            </ResponseField>

            <ResponseField name="bank_address" type="string">
              Bank street address.
            </ResponseField>

            <ResponseField name="bank_country_code" type="string">
              Bank country code.<br />
              Two-letter [ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2) country code.
            </ResponseField>

            <ResponseField name="account_holder" type="string">
              Account holder name of the beneficiary’s bank account.
            </ResponseField>

            <ResponseField name="account_currency_code" type="string">
              Account currency code.<br />
              Three-letter [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code.
            </ResponseField>

            <ResponseField name="account_number" type="string">
              Account number, mostly for non-european countries, either account\_number or iban should be filled.
            </ResponseField>

            <ResponseField name="iban" type="string">
              International bank account number, mostly for european countries.
            </ResponseField>

            <ResponseField name="swift_code" type="string">
              Bank swift code.
            </ResponseField>

            <ResponseField name="clearing_system" type="string">
              Which clearing system should be used for this.
            </ResponseField>

            <ResponseField name="routing_code_type1" type="string">
              Routing code type.
            </ResponseField>

            <ResponseField name="routing_code_value1" type="string">
              Routing code value.
            </ResponseField>

            <ResponseField name="routing_code_type2" type="string">
              Routing code sub type.
            </ResponseField>

            <ResponseField name="routing_code_value2" type="string">
              Routing code sub type value.
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="beneficiary_address" type="object">
          Beneficiary's address details.

          <Expandable title="details" defaultOpen>
            <ResponseField name="country_code" type="string">
              Country code of the beneficiary.<br />
              Two-letter [ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2) country code.
            </ResponseField>

            <ResponseField name="city" type="string">
              City of the beneficiary.
            </ResponseField>

            <ResponseField name="street_address" type="string">
              Street address of the beneficiary.
            </ResponseField>

            <ResponseField name="postal_code" type="string">
              Postal code of the beneficiary.
            </ResponseField>

            <ResponseField name="state" type="string">
              State of the beneficiary.
            </ResponseField>
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL Example Request theme={null}
  curl 'https://api.sandbox.uqpay.org/api/v1/beneficiaries?page_num=1&page_size=10&currency=USD' \
  -H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
  -H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
  "code": 200,
  "message": "Success",
  "data": {
      "total_item": 2,
      "total_page": 1,
      "item_list": [
          {
              "beneficiary_id": "62988ce3-63d7-412a-9546-a5991829be9c",
              "entity_type": "company",
              "payment_method": "local",
              "beneficiary_email": "ayalili88@gmail.com",
              "beneficiary_nickname": "KINGO",
              "beneficiary_company_name": "KINGO TECHNOLOGY SG PTE LTD",
              "beneficiary_summary": "SGD account ending in 0071",
              "account_currency_code": "SGD",
              "bank_country_code": "SG",
              "beneficiary_bank_details": {
                  "bank_name": "OCBC BANK",
                  "bank_address": "7 Burn Road #07-07 Trivex Singapore 413577",
                  "bank_country_code": "SG",
                  "account_holder": "KINGO TECHNOLOGY SG PTE LTD",
                  "account_currency_code": "SGD",
                  "account_number": "701308749981",
                  "iban": "",
                  "swift_code": "UOVBSGSG",
                  "clearing_system": "GIRO",
                  "routing_code_type1": "",
                  "routing_code_value1": "",
                  "routing_code_type2": "",
                  "routing_code_value2": ""
              },
              "beneficiary_address": {
                  "country_code": "SG",
                  "city": "Singapore",
                  "street_address": "7 Burn Road #07-07 Trivex Singapore 413577",
                  "postal_code": "500121",
                  "state": "Singapore"
              },
              "create_time": "2023-10-07T21:09:27+08:00",
              "update_time": "2023-10-19T13:50:46+08:00"
          },
          {
              "beneficiary_id": "56f3d71d-f732-44c8-8833-55536941e2b0",
              "entity_type": "individual",
              "payment_method": "swift",
              "beneficiary_email": "ayalili88@gmail.com",
              "beneficiary_nickname": "AYALAMIH",
              "beneficiary_first_name": "LILI",
              "beneficiary_last_name": "HU",
              "beneficiary_summary": "USD account ending in 1913",
              "account_currency_code": "USD",
              "bank_country_code": "SG",
              "beneficiary_bank_details": {
                  "bank_name": "UOB Ltd",
                  "bank_address": "UOB NOVENA BRANCH 238B Thomson Road #01-38 Novena Square Tower B SINGAPORE 307648",
                  "bank_country_code": "SG",
                  "account_holder": "WEN LILI",
                  "account_currency_code": "USD",
                  "account_number": "7799030917",
                  "iban": "",
                  "swift_code": "UOVBSGSG",
                  "clearing_system": "SWIFT",
                  "routing_code_type1": "",
                  "routing_code_value1": "",
                  "routing_code_type2": "",
                  "routing_code_value2": ""
              },
              "beneficiary_address": {
                  "country_code": "SG",
                  "city": "Singapore",
                  "street_address": "196 Ayer Rajah Crescent, #11-07",
                  "postal_code": "200121",
                  "state": "Singapore"
              },
              "create_time": "2023-10-07T21:03:23+08:00",
              "update_time": "2023-10-19T12:45:58+08:00"
          }
      ]
  }
  }
  ```
</ResponseExample>
